OCC Main Page | ApplicationFramework | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# ApplicationFramework
TKBinL
BinMDF

# BinMDF Class Reference

This package provides classes and methods to
translate a transient DF into a persistent one and
vice versa.
Driver
A driver is a tool used to translate a transient
attribute into a persistent one and vice versa.
Driver Table
A driver table is an object building links between
object types and object drivers. In the
translation process, a driver table is asked to
give a translation driver for each current object
to be translated.
.

`#include <BinMDF.hxx>`

## Public Member Functions
void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
## Static Public Member Functions
static Standard_EXPORT void | AddDrivers (const Handle(BinMDF_ADriverTable)&aDriverTable, const Handle(CDM_MessageDriver)&aMsgDrv)
| Adds the attribute storage drivers to <adrivertable>. .

## Member Function Documentation

static Standard_EXPORT void BinMDF::AddDrivers | ( | const Handle(BinMDF_ADriverTable)& | aDriverTable,
|  | const Handle(CDM_MessageDriver)& | aMsgDrv
| ) | `[static]`

void BinMDF::operator delete | ( | void * | anAddress | ) | `[inline]`

void* BinMDF::operator new | ( | size_t | size | ) | `[inline]`

void* BinMDF::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

The documentation for this class was generated from the following file:

- BinMDF.hxx